URL structure
{orgId} is the ID of an organization.
Supported methods and overview
POST- used to add a new classification to an organization.GET- used to retrieve a list of information for all classifications defined within an organization.
Detailed description
This API endpoint serves a number of purposes:-
Adds a new classification to an organization.
Notes:- Associating this new classification with one or more Covata users (through a group) allows this classification to restrict file sharing to these users. For more information about associating Covata users with groups, see <access-service>/api/v1/organisations/{orgId}/groups/{groupId}. Also see <access-service>/api/v1/organisations/{orgId}/groups for more information about adding new groups to an organization.
- Therefore, is recommended that any newly added classification be associated with at least one group of Covata users as soon as possible, since a classification (not yet associated with any group of users) which is specified when sharing (i.e. modifying collaborators on) a new or existing file object, prevents that file from being shared.
- Be aware that by design and for security reasons, it is not possible to edit any aspect of a classification once it has been added to an organization.
- Retrieves a list of information for all classifications in an organization.
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Safe Share Administrator’s and Organization Administrator’s Guides) and conditions:- Organization administrator - using the
POSTmethod, if this user is a member of the organization specified by the{orgId}of the request’s URL. - Organization administrator, Originator, Collaborator, Ad hoc - using the
GETmethod, if this user is a member of the organization specified by the{orgId}of the request’s URL. - Safe Share administrator - using the
GETmethod.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Content-Type: application/json
Required parameters on POST
The following required parameter must be sent in the body of the POST request, as an individual member of a JSON object:- name - . Example ():
Optional parameters on POST
The following optional parameter can also be sent in the body of the POST request, as an individual member of the JSON object that includes the Required parameters on POST above:- description - . Example ():
Optional parameters on GET
The following optional parameters can be sent in the URL of the GET request:- limit - 0 to 100 (default is 0).
- offset - default is 0.
-
orderBy -
ASCorDESC(default isASC). - sortBy - . Example ():
Returns from a POST request
A JSON-formatted response containing the following members:- id - .
- name - .
- description - .
- priority - . Example (response from …):
Returns from a GET request
A JSON-formatted response containing the following members:-
items - .
- id - .
- name - .
- priority - .

